Namespace My

    ' MyApplication에 대해 다음 이벤트를 사용할 수 있습니다.
    ' 
    ' Startup: 응용 프로그램이 시작되고 시작 폼이 만들어지기 전에 발생합니다.
    ' Shutdown: 모든 응용 프로그램 폼이 닫힌 후에 발생합니다. 이 이벤트는 응용 프로그램이 비정상적으로 종료되는 경우에는 발생하지 않습니다.
    ' UnhandledException: 응용 프로그램에서 처리되지 않은 예외가 발생하는 경우 이 이벤트가 발생합니다.
    ' StartupNextInstance: 단일 인스턴스 응용 프로그램을 시작할 때 해당 응용 프로그램이 이미 활성 상태인 경우 발생합니다.
    ' NetworkAvailabilityChanged: 네트워크가 연결되거나 연결이 끊어질 때 발생합니다.
    Partial Friend Class MyApplication
        Private Sub MyApplication_UnhandledException(ByVal sender As Object, ByVal e As Microsoft.VisualBasic.ApplicationServices.UnhandledExceptionEventArgs) Handles Me.UnhandledException
            MsgBox("처리되지않은 오류가 발생했습니다" & vbCrLf & "정확한 오류발생 상황을 기록해주시면" & vbCrLf & "개발에 많은 도움이됩니다", MsgBoxStyle.Critical, "확인")
            Dim Version As String = My.Application.Info.Version.Major & "." & My.Application.Info.Version.Minor & "." & My.Application.Info.Version.Revision
            Dim A As New ACC.MailForm("sender@mail.com", "처리되지않은 오류발생", "오류발생 상황을 적어주세요", "전주번호관리프로그램v3(Ver " & Version & ")", ACC.MailForm.MailType.Err, e.Exception.ToString)
            A.ShowDialog()
            e.ExitApplication = True
        End Sub
    End Class

End Namespace

